Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2003-0620

CVE information

Published

19 years ago

Last Modified

6 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

Multiple buffer overflows in man-db 2.4.1 and earlier, when installed setuid, allow local users to gain privileges via (1) MANDATORY_MANPATH, MANPATH_MAP, and MANDB_MAP arguments to add_to_dirlist in manp.c, (2) a long pathname to ult_src in ult_src.c, (3) a long .so argument to test_for_include in ult_src.c, (4) a long MANPATH environment variable, or (5) a long PATH environment variable..

CVSSv2.0 Score

Severity
Medium
Base Score
4.6/10
Exploit Score
3.9/10
Access Vector
Local
Access Complexity
Low
Authentication Required
None
Impact Score
6.4/10
Confidentiality Impact
Partial
Availability Impact
Partial
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:andries_brouwer:man:2.3.20:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:andries_brouwer:man:2.4.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:andries_brouwer:man:2.3.19:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:andries_brouwer:man:2.3.18:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:andries_brouwer:man:2.4:*:*:*:*:*:*:*
  Yes
- -